import React, { MouseEventHandler } from 'react';
type WaveProgressBarProps = {
    /** Function that allows to change the track progress */
    seek: MouseEventHandler<HTMLDivElement>;
    /** The array of fractional number values between 0 and 1 representing the height of amplitudes */
    waveformData: number[];
    /** Allows to specify the number of bars into which the original waveformData array should be resampled */
    amplitudesCount?: number;
    /** Progress expressed in fractional number value btw 0 and 100. */
    progress?: number;
};
export declare const WaveProgressBar: ({ amplitudesCount, progress, seek, waveformData, }: WaveProgressBarProps) => React.JSX.Element | null;
/**
 * The downSample function uses the Largest-Triangle-Three-Buckets (LTTB) algorithm.
 * See the thesis Downsampling Time Series for Visual Representation by Sveinn Steinarsson for more (https://skemman.is/bitstream/1946/15343/3/SS_MSthesis.pdf)
 * @param data
 * @param targetOutputSize
 */
export declare function downSample(data: number[], targetOutputSize: number): number[];
export declare const upSample: (values: number[], targetSize: number) => number[];
export {};
//# sourceMappingURL=WaveProgressBar.d.ts.map